Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cpw.mods.fml.common.modloader
Class ModLoaderHelper

    java.lang.Object
      cpw.mods.fml.common.modloader.ModLoaderHelper

    public class ModLoaderHelper

extends Object

Author:
  cpw

Field Summary
`static IModLoaderSidedHelper` | `sidedHelper`

Constructor Summary
`ModLoaderHelper()`

Method Summary
`static void` | `addCommand(ICommand command)`
`static IChatListener` | `buildChatListener(BaseModProxy mod)`
`static IConnectionHandler` | `buildConnectionHelper(BaseModProxy mod)`
`static ICraftingHandler` | `buildCraftingHelper(BaseModProxy mod)`
`static IDispenserHandler` | `buildDispenseHelper(BaseModProxy mod)`
`static void` | `buildEntityTracker(BaseModProxy mod, Class<? extends Entity> entityClass, int entityTypeId, int updateRange, int updateInterval, boolean sendVelocityInfo)`
`static IFuelHandler` | `buildFuelHelper(BaseModProxy mod)`
`static void` | `buildGuiHelper(BaseModProxy mod, int id)`
`static IPacketHandler` | `buildPacketHandlerFor(BaseModProxy mod)`
`static IPickupNotifier` | `buildPickupHelper(BaseModProxy mod)`
`static IWorldGenerator` | `buildWorldGenHelper(BaseModProxy mod)`
`static void` | `finishModLoading(ModLoaderModContainer mc)`
`static Object` | `getClientSideGui(BaseModProxy mod, EntityPlayer player, int ID, int x, int y, int z)`
`static void` | `openGui(int id, EntityPlayer player, Container container, int x, int y, int z)`
`static void` | `registerTrade(int profession, TradeEntry entry)`
`static void` | `updateGUITicks(BaseModProxy mod, boolean enable, boolean useClock)`
`static void` | `updateStandardTicks(BaseModProxy mod, boolean enable, boolean useClock)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sidedHelper

    public static IModLoaderSidedHelper sidedHelper

Constructor Detail

### ModLoaderHelper

    public ModLoaderHelper()

Method Detail

### updateStandardTicks

    public static void updateStandardTicks(BaseModProxy mod,
                                           boolean enable,
                                           boolean useClock)

### updateGUITicks

    public static void updateGUITicks(BaseModProxy mod,
                                      boolean enable,
                                      boolean useClock)

### buildPacketHandlerFor

    public static IPacketHandler buildPacketHandlerFor(BaseModProxy mod)

### buildWorldGenHelper

    public static IWorldGenerator buildWorldGenHelper(BaseModProxy mod)

### buildFuelHelper

    public static IFuelHandler buildFuelHelper(BaseModProxy mod)

### buildCraftingHelper

    public static ICraftingHandler buildCraftingHelper(BaseModProxy mod)

### finishModLoading

    public static void finishModLoading(ModLoaderModContainer mc)

### buildConnectionHelper

    public static IConnectionHandler buildConnectionHelper(BaseModProxy mod)

### buildPickupHelper

    public static IPickupNotifier buildPickupHelper(BaseModProxy mod)

### buildGuiHelper

    public static void buildGuiHelper(BaseModProxy mod,
                                      int id)

### openGui

    public static void openGui(int id,
                               EntityPlayer player,
                               Container container,
                               int x,
                               int y,
                               int z)

### getClientSideGui

    public static Object getClientSideGui(BaseModProxy mod,
                                          EntityPlayer player,
                                          int ID,
                                          int x,
                                          int y,
                                          int z)

### buildDispenseHelper

    public static IDispenserHandler buildDispenseHelper(BaseModProxy mod)

### buildEntityTracker

    public static void buildEntityTracker(BaseModProxy mod,
                                          Class<? extends Entity> entityClass,
                                          int entityTypeId,
                                          int updateRange,
                                          int updateInterval,
                                          boolean sendVelocityInfo)

### registerTrade

    public static void registerTrade(int profession,
                                     TradeEntry entry)

### addCommand

    public static void addCommand(ICommand command)

### buildChatListener

    public static IChatListener buildChatListener(BaseModProxy mod)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD